codebase="hhctrl.ocx#Version=4,73,8561,0"> codebase="hhctrl.ocx#Version=4,73,8561,0" > codebase="hhctrl.ocx#Version=4,73,8561,0" >
 
  Table object

AutoCAD table object.

VBA class name:

AcadTable 

Create using:

Dim customObj as AcadTable 

Access via:

AcadTable

A table contains data in rows and columns. You can use the Table object to add and modify tables in a drawing.

To add a table to a drawing, use the AddTable method. After you add a table, you can modify the number of columns, the number of rows, and other settings.

All methods that change the Table object do the following:

  1. Open the Table object in write mode
  2. Modify the Table object based on the input parameters
  3. Close the Table object, which recomputes the Table

Recomputing large tables consumes a lot of time and memory because the Table object is reconstructed from scratch. If you are making multiple calls to update a table, you can improve performance by setting RegenerateTableSuppressed before and after making the modifications.

Methods

ArrayPolar

ArrayRectangular

CreateContent

ClearSubSelection

ClearTableStyleOverrides

Copy

Delete

DeleteCellContent

DeleteColumns

DeleteContent

DeleteRows

EnableMergeAll

FormatValue

GenerateLayout

GetAlignment

GetAlignment2

GetAttachmentPoint

GetAutoScale

GetAutoScale2

GetBackgroundColor

GetBackgroundColorNone

GetBlockAttributeValue

GetBlockAttributeValue2

GetBlockAttributeValue232

GetBlockRotation

GetBlockScale

GetBlockTableRecordId

GetBlockTableRecordId2

GetBlockTableRecordId32

GetBoundingBox

GetCellAlignment

GetCellBackgroundColor

GetCellBackgroundColorNone

GetCellContentColor

GetCellContentColor2

GetCellDataType

GetCellExtents

GetCellFormat

GetCellGridColor

GetCellGridLineWeight

GetCellGridVisibility

GetCellState

GetCellStyle

GetCellStyleOverrides

GetCellTextHeight

GetCellTextStyle

GetCellType

GetCellValue

GetColumnName

GetColumnWidth

GetContentColor

GetCustomData

GetDataFormat

GetDataLink

GetDataLink32

GetExtensionDictionary

GetFieldId

GetFieldId2

GetFieldId32

GetFormat

GetFormula

GetGridColor

GetGridColor2

GetGridDoubleLineSpacing

GetGridLineStyle

GetGridLineType

GetGridLineType32

GetGridLineWeight

GetGridVisibility

GetGridVisibility2

GetHasDataLink

GetHasFormula

GetMargin

GetMinimumColumnWidth

GetMinimumRowHeight

GetOverride

GetRotation

GetRowHeight

GetRowType

GetScale

GetSubSelection

GetText

GetTextHeight

GetTextHeight2

GetTextRotation

GetTextString

GetTextStyle

GetTextStyle2

GetValue

GetXData

Highlight

HitTest

InsertColumns

InsertColumnsAndInherit

InsertRows

InsertRowsAndInherit

IntegerersectWith

IsContentEditable

IsEmpty

IsFormatEditable

IsMergeAllEnabled

IsMergedCell

Material

MergeCells

Mirror

Mirror3D

Move

Move Content

RecomputeTableBlock

ReselectSubRegion

Rotate

Rotate3D

ScaleEntity

Select

SelectSubRegion

SetAlignment

SetAlignment2

SetAutoScale

SetAutoScale2

SetBackgroundColor

SetBackgroundColorNone

SetBlockAttributeValue

SetBlockAttributeValue2

SetBlockAttributeValue232

SetBlockRotation

SetBlockScale

SetBlockTableRecordId

SetBlockTableRecordId2

SetBlockTableRecordId32

SetCellAlignment

SetCellBackgroundColor

SetCellBackgroundColorNone

SetCellContentColor

SetCellContentColor2

SetCellDataType

SetCellFormat

SetCellGridColor

SetCellGridLineWeight

SetCellGridVisibility

SetCellTextHeight

SetCellState

SetCellStyle

SetCellTextStyle

SetCellType

SetCellValue

SetColumnName

SetColumnWidth

SetContentColor

SetCustomData

SetDataFormat

SetDataLink

SetDataLink32

SetFieldId

SetFieldId2

SetFieldId32

SetFormat

SetFormula

SetGridColor

SetGridColor2

SetGridDoubleLineSpacing

SetGridLineStyle

SetGridLineType

SetGridLineType32

SetGridLineWeight

SetGridVisibility

SetGridVisibility2

SetMargin

SetOverride

SetRotation

SetRowHeight

SetScale

SetSubSelection

SetText

SetTextHeight

SetTextHeight2

SetTextRotation

SetTextString

SetTextStyle

SetTextStyle2

SetToolTip

SetValue

SetXData

TransformBy

UnmergeCells

Update  

Properties

AllowManualHeights

AllowManualPositions

Application

BreaksEnabled

BreakSpacing

Columns

ColumnWidth

Direction

Document

FlowDirection

Handle

HasExtensionDictionary

HasSubSelection

HeaderSuppressed

Height

HorzCellMargin

Hyperlinks

InsertionPoint

Layer

Linetype

LinetypeScale

Lineweight

MinimumTableHeight

MinimumTableWidth

ObjectID

ObjectName

OwnerID

PlotStyleName

RegenerateTableSuppressed

RepeatTopLabels

RepeatBottomLabels

RowHeight

Rows

StyleName

TableBreakFlowDirection

TableStyleOverrides

TitleSuppressed

TrueColor

VertCellMargin

Visible

Width  

Events

Modified

 

   Comments?